/*------------------------------------*\
    #MENU-SHARE
\*------------------------------------*/
/**
 * Social share menu component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-share,
%#{$inuit-namespace}menu-share {
    margin-bottom: $frs-base-unit;
    display: inline-block;
    width: auto;
    float: left;
    &.print {
        margin-left: 1.5rem
    }
}
.#{$inuit-namespace}page-body__column--aside .#{$inuit-namespace}menu-share {
    float: none
}
.#{$inuit-namespace}menu-share__list,
%#{$inuit-namespace}menu-share__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-share__item,
%#{$inuit-namespace}menu-share__item {
    @extend %o-icon-button;
    background-color: transparent;
    display: inline-block;
    height: .8 * $frs-base-unit;
    width: .8 * $frs-base-unit;
    margin-right: 4px
}

.#{$inuit-namespace}menu-share__link,
%#{$inuit-namespace}menu-share__link {
    background-color: $frs-color-btn;
    display: inline-block;
    height: .8 * $frs-base-unit;
    width: .8 * $frs-base-unit;
    transition: $inuit-base-transition-duration all ease;

    @include frs-hover {
        background-color: $frs-color-btn-hover;
    }
}

.#{$inuit-namespace}menu-share__icon,
%#{$inuit-namespace}menu-share__icon {
    fill: $frs-color-white;
}
